Skip to main content
`Ctrl`+`K`

# PetscGaussLobattoLegendreCreateType

algorithm used to compute the Gauss-Lobatto-Legendre nodes and weights

## Synopsis

    typedef enum {
      PETSCGAUSSLOBATTOLEGENDRE_VIA_LINEAR_ALGEBRA,
      PETSCGAUSSLOBATTOLEGENDRE_VIA_NEWTON
    } PetscGaussLobattoLegendreCreateType;

## Values

- `PETSCGAUSSLOBATTOLEGENDRE_VIA_LINEAR_ALGEBRA` - compute the nodes via linear algebra

- `PETSCGAUSSLOBATTOLEGENDRE_VIA_NEWTON` - compute the nodes by solving a nonlinear equation with Newton’s method

## See Also

`PetscQuadrature`

## Level

intermediate

## Location

include/petscdt.h

## Examples

src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ksp/ksp/tutorials/ex69.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex50.c
src/ksp/ksp/tutorials/ex68.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages